<?php

use App\Models\SystemSetting;

if (!function_exists('system_setting')) {
    function system_setting($params = null, $default = null)
    {
        $key = $params;
        if (is_array($params)) {
            $key = null;
            if (count($params) === 1) {
                $key = array_keys($params)[0];
                $value = array_values($params)[0];
                SystemSetting::updateOrCreate(['key' => $key], ['value' => $value]);
            }
        }

        if (is_null($key)) {
            return SystemSetting::all()->mapWithKeys(function ($item) {
                return [$item->key => $item->value];
            })->toArray();
        }

        return (SystemSetting::where(['key' => $key])->first() ?? (object)['value' => $default])->value;
    }
}

if (!function_exists('is_disposable_email')) {
    function is_disposable_email($email)
    {
        $disposableDomains = [
            'mailinator.com',
            'mt2015.com',
            '@mt2014',
            'thankyou2010.com',
            'trash2009.com',
            'mt2009.com',
            'trashymail.com',
            'mytrashmail.com',
            'spambox.xyz',
            'dirtmail.ga',
            'tempmail.win',
            'jetable.co',
            'jetable.fr.n',
            'jetable.ne',
            'jetable.or',
            'sharklasers.com',
            'guerrillamail.info',
            'grr.la',
            'guerrillamail.biz',
            'guerrillamail.com',
            'guerrillamail.de',
            'guerrillamail.net',
            'guerrillamail.org',
            'guerrillamailblock.com',
            'pokemail.net',
            'spam4.me',
            'nwytg.net',
            '0815.ru',
            '0wnd.net',
            '0wnd.org',
            '10minutemail.co.za',
            '10minutemail.com',
            '123-m.com',
            '1fsdfdsfsdf.tk',
            '1pad.de',
            '20minutemail.com',
            '21cn.com',
            '2fdgdfgdfgdf.tk',
            '2prong.com',
            '30minutemail.com',
            '33mail.com',
            '3trtretgfrfe.tk',
            '4gfdsgfdgfd.tk',
            '4warding.com',
            '5ghgfhfghfgh.tk',
            '6hjgjhgkilkj.tk',
            '6paq.com',
            '7tags.com',
            '9ox.net',
            'a-bc.net',
            'agedmail.com',
            'ama-trade.de',
            'amilegit.com',
            'amiri.net',
            'amiriindustries.com',
            'anonmails.de',
            'anonymbox.com',
            'antichef.com',
            'antichef.net',
            'antireg.ru',
            'antispam.de',
            'antispammail.de',
            'armyspy.com',
            'artman-conception.com',
            'azmeil.tk',
            'baxomale.ht.cx',
            'beefmilk.com',
            'bigstring.com',
            'binkmail.com',
            'bio-muesli.net',
            'bobmail.info',
            'bodhi.lawlita.com',
            'bofthew.com',
            'bootybay.de',
            'boun.cr',
            'bouncr.com',
            'breakthru.com',
            'brefmail.com',
            'bsnow.net',
            'bspamfree.org',
            'bugmenot.com',
            'bund.us',
            'burstmail.info',
            'buymoreplays.com',
            'byom.de',
            'c2.hu',
            'card.zp.ua',
            'casualdx.com',
            'cek.pm',
            'centermail.com',
            'centermail.net',
            'chammy.info',
            'childsavetrust.org',
            'chogmail.com',
            'choicemail1.com',
            'clixser.com',
            'cmail.net',
            'cmail.org',
            'coldemail.info',
            'cool.fr.nf',
            'courriel.fr.nf',
            'courrieltemporaire.com',
            'crapmail.org',
            'cust.in',
            'cuvox.de',
            'd3p.dk',
            'dacoolest.com',
            'dandikmail.com',
            'dayrep.com',
            'dcemail.com',
            'deadaddress.com',
            'deadspam.com',
            'delikkt.de',
            'despam.it',
            'despammed.com',
            'devnullmail.com',
            'dfgh.net',
            'digitalsanctuary.com',
            'dingbone.com',
            'disposableaddress.com',
            'disposableemailaddresses.com',
            'disposableinbox.com',
            'dispose.it',
            'dispostable.com',
            'dodgeit.com',
            'dodgit.com',
            'donemail.ru',
            'dontreg.com',
            'dontsendmespam.de',
            'drdrb.net',
            'dump-email.info',
            'dumpandjunk.com',
            'dumpyemail.com',
            'e-mail.com',
            'e-mail.org',
            'e4ward.com',
            'easytrashmail.com',
            'einmalmail.de',
            'einrot.com',
            'eintagsmail.de',
            'emailgo.de',
            'emailias.com',
            'emaillime.com',
            'emailsensei.com',
            'emailtemporanea.com',
            'emailtemporanea.net',
            'emailtemporar.ro',
            'emailtemporario.com.br',
            'emailthe.net',
            'emailtmp.com',
            'emailwarden.com',
            'emailx.at.hm',
            'emailxfer.com',
            'emeil.in',
            'emeil.ir',
            'emz.net',
            'ero-tube.org',
            'evopo.com',
            'explodemail.com',
            'express.net.ua',
            'eyepaste.com',
            'fakeinbox.com',
            'fakeinformation.com',
            'fansworldwide.de',
            'fantasymail.de',
            'fightallspam.com',
            'filzmail.com',
            'fivemail.de',
            'fleckens.hu',
            'frapmail.com',
            'friendlymail.co.uk',
            'fuckingduh.com',
            'fudgerub.com',
            'fyii.de',
            'garliclife.com',
            'gehensiemirnichtaufdensack.de',
            'get2mail.fr',
            'getairmail.com',
            'getmails.eu',
            'getonemail.com',
            'giantmail.de',
            'girlsundertheinfluence.com',
            'gishpuppy.com',
            'gmial.com',
            'goemailgo.com',
            'gotmail.net',
            'gotmail.org',
            'gotti.otherinbox.com',
            'great-host.in',
            'greensloth.com',
            'gsrv.co.uk',
            'guerillamail.biz',
            'guerillamail.com',
            'gustr.com',
            'harakirimail.com',
            'hat-geld.de',
            'hatespam.org',
            'herp.in',
            'hidemail.de',
            'hidzz.com',
            'hmamail.com',
            'hopemail.biz',
            'ieh-mail.de',
            'ikbenspamvrij.nl',
            'imails.info',
            'inbax.tk',
            'inbox.si',
            'inboxalias.com',
            'inboxclean.com',
            'inboxclean.org',
            'infocom.zp.ua',
            'instant-mail.de',
            'ip6.li',
            'irish2me.com',
            'iwi.net',
            'jetable.com',
            'jetable.fr.nf',
            'jetable.net',
            'jetable.org',
            'jnxjn.com',
            'jourrapide.com',
            'jsrsolutions.com',
            'kasmail.com',
            'kaspop.com',
            'killmail.com',
            'killmail.net',
            'klassmaster.com',
            'klzlk.com',
            'koszmail.pl',
            'kurzepost.de',
            'lawlita.com',
            'letthemeatspam.com',
            'lhsdv.com',
            'lifebyfood.com',
            'link2mail.net',
            'litedrop.com',
            'lol.ovpn.to',
            'lolfreak.net',
            'lookugly.com',
            'lortemail.dk',
            'lr78.com',
            'lroid.com',
            'lukop.dk',
            'm21.cc',
            'mail-filter.com',
            'mail-temporaire.fr',
            'mail.by',
            'mail.mezimages.net',
            'mail.zp.ua',
            'mail1a.de',
            'mail21.cc',
            'mail2rss.org',
            'mail333.com',
            'mailbidon.com',
            'mailbiz.biz',
            'mailblocks.com',
            'mailbucket.org',
            'mailcat.biz',
            'mailcatch.com',
            'mailde.de',
            'mailde.info',
            'maildrop.cc',
            'maileimer.de',
            'mailexpire.com',
            'mailfa.tk',
            'mailforspam.com',
            'mailfreeonline.com',
            'mailguard.me',
            'mailin8r.com',
            'mailinater.com',
            'mailinator.net',
            'mailinator.org',
            'mailinator2.com',
            'mailincubator.com',
            'mailismagic.com',
            'mailme.lv',
            'mailme24.com',
            'mailmetrash.com',
            'mailmoat.com',
            'mailms.com',
            'mailnesia.com',
            'mailnull.com',
            'mailorg.org',
            'mailpick.biz',
            'mailrock.biz',
            'mailscrap.com',
            'mailshell.com',
            'mailsiphon.com',
            'mailtemp.info',
            'mailtome.de',
            'mailtothis.com',
            'mailtrash.net',
            'mailtv.net',
            'mailtv.tv',
            'mailzilla.com',
            'makemetheking.com',
            'manybrain.com',
            'mbx.cc',
            'mega.zik.dj',
            'meinspamschutz.de',
            'meltmail.com',
            'messagebeamer.de',
            'mezimages.net',
            'ministry-of-silly-walks.de',
            'mintemail.com',
            'misterpinball.de',
            'moncourrier.fr.nf',
            'monemail.fr.nf',
            'monmail.fr.nf',
            'monumentmail.com',
            'mt2014.com',
            'mycard.net.ua',
            'mycleaninbox.net',
            'mymail-in.net',
            'mypacks.net',
            'mypartyclip.de',
            'myphantomemail.com',
            'mysamp.de',
            'mytempemail.com',
            'mytempmail.com',
            'nabuma.com',
            'neomailbox.com',
            'nepwk.com',
            'nervmich.net',
            'nervtmich.net',
            'netmails.com',
            'netmails.net',
            'neverbox.com',
            'nice-4u.com',
            'nincsmail.hu',
            'nnh.com',
            'no-spam.ws',
            'noblepioneer.com',
            'nomail.pw',
            'nomail.xl.cx',
            'nomail2me.com',
            'nomorespamemails.com',
            'nospam.ze.tc',
            'nospam4.us',
            'nospamfor.us',
            'nospammail.net',
            'notmailinator.com',
            'nowhere.org',
            'nowmymail.com',
            'nurfuerspam.de',
            'nus.edu.sg',
            'objectmail.com',
            'obobbo.com',
            'odnorazovoe.ru',
            'oneoffemail.com',
            'onewaymail.com',
            'onlatedotcom.info',
            'online.ms',
            'opayq.com',
            'ordinaryamerican.net',
            'otherinbox.com',
            'ovpn.to',
            'owlpic.com',
            'pancakemail.com',
            'pcusers.otherinbox.com',
            'pjjkp.com',
            'plexolan.de',
            'poczta.onet.pl',
            'politikerclub.de',
            'poofy.org',
            'pookmail.com',
            'privacy.net',
            'privatdemail.net',
            'proxymail.eu',
            'prtnx.com',
            'putthisinyourspamdatabase.com',
            'qq.com',
            'quickinbox.com',
            'rcpt.at',
            'reallymymail.com',
            'realtyalerts.ca',
            'recode.me',
            'recursor.net',
            'reliable-mail.com',
            'rhyta.com',
            'rmqkr.net',
            'royal.net',
            'rtrtr.com',
            's0ny.net',
            'safe-mail.net',
            'safersignup.de',
            'safetymail.info',
            'safetypost.de',
            'saynotospams.com',
            'schafmail.de',
            'schrott-email.de',
            'secretemail.de',
            'secure-mail.biz',
            'senseless-entertainment.com',
            'services391.com',
            'shieldemail.com',
            'shiftmail.com',
            'shitmail.me',
            'shitware.nl',
            'shmeriously.com',
            'shortmail.net',
            'sibmail.com',
            'sinnlos-mail.de',
            'slapsfromlastnight.com',
            'slaskpost.se',
            'smashmail.de',
            'smellfear.com',
            'snakemail.com',
            'sneakemail.com',
            'sneakmail.de',
            'snkmail.com',
            'sofimail.com',
            'solvemail.info',
            'sogetthis.com',
            'soodonims.com',
            'spamail.de',
            'spamarrest.com',
            'spambob.net',
            'spambog.ru',
            'spambox.us',
            'spamcannon.com',
            'spamcannon.net',
            'spamcon.org',
            'spamcorptastic.com',
            'spamcowboy.com',
            'spamcowboy.net',
            'spamcowboy.org',
            'spamday.com',
            'spamex.com',
            'spamfree.eu',
            'spamfree24.com',
            'spamfree24.de',
            'spamfree24.org',
            'spamgoes.in',
            'spamgourmet.com',
            'spamgourmet.net',
            'spamgourmet.org',
            'spamherelots.com',
            'spamhereplease.com',
            'spamhole.com',
            'spamify.com',
            'spaml.de',
            'spammotel.com',
            'spamobox.com',
            'spamslicer.com',
            'spamspot.com',
            'spamthis.co.uk',
            'spamtroll.net',
            'speed.1s.fr',
            'spoofmail.de',
            'stuffmail.de',
            'super-auswahl.de',
            'supergreatmail.com',
            'supermailer.jp',
            'superrito.com',
            'superstachel.de',
            'suremail.info',
            'talkinator.com',
            'teewars.org',
            'teleworm.com',
            'teleworm.us',
            'temp-mail.org',
            'temp-mail.ru',
            'tempe-mail.com',
            'tempemail.co.za',
            'tempemail.com',
            'tempemail.net',
            'tempinbox.co.uk',
            'tempinbox.com',
            'tempmail.eu',
            'tempmaildemo.com',
            'tempmailer.com',
            'tempmailer.de',
            'tempomail.fr',
            'temporaryemail.net',
            'temporaryforwarding.com',
            'temporaryinbox.com',
            'temporarymailaddress.com',
            'tempthe.net',
            'thc.st',
            'thelimestones.com',
            'thisisnotmyrealemail.com',
            'thismail.net',
            'throwawayemailaddress.com',
            'tilien.com',
            'tittbit.in',
            'tizi.com',
            'tmailinator.com',
            'toomail.biz',
            'topranklist.de',
            'tradermail.info',
            'trash-mail.at',
            'trash-mail.com',
            'trash-mail.de',
            'trashdevil.com',
            'trashemail.de',
            'trashmail.at',
            'trashmail.com',
            'trashmail.de',
            'trashmail.me',
            'trashmail.net',
            'trashmail.org',
            'trialmail.de',
            'trillianpro.com',
            'twinmail.de',
            'tyldd.com',
            'uggsrock.com',
            'umail.net',
            'uroid.com',
            'us.af',
            'venompen.com',
            'veryrealemail.com',
            'viditag.com',
            'viralplays.com',
            'vpn.st',
            'vsimcard.com',
            'vubby.com',
            'wasteland.rfc822.org',
            'webemail.me',
            'weg-werf-email.de',
            'wegwerf-emails.de',
            'wegwerfadresse.de',
            'wegwerfemail.com',
            'wegwerfemail.de',
            'wegwerfmail.de',
            'wegwerfmail.info',
            'wegwerfmail.net',
            'wegwerfmail.org',
            'wh4f.org',
            'whyspam.me',
            'willhackforfood.biz',
            'willselfdestruct.com',
            'winemaven.info',
            'wronghead.com',
            'www.e4ward.com',
            'www.mailinator.com',
            'wwwnew.eu',
            'x.ip6.li',
            'xagloo.com',
            'xemaps.com',
            'xents.com',
            'xmaily.com',
            'xoxy.net',
            'yep.it',
            'yogamaven.com',
            'yopmail.com',
            'yopmail.fr',
            'yopmail.net',
            'yourdomain.com',
            'yuurok.com',
            'z1p.biz',
            'za.com',
            'zehnminuten.de',
            'zehnminutenmail.de',
            'zippymail.info',
            'zoemail.net',
            'zomg.info',
            'nobuma.com',
            '15qm.com',
            'nokiamail.com',
            '10minut.xyz',
            'gowikifilms.com',
            'mybitti.de',
            'mierdamail.com',
            'yopmail.gq',
            'amelabs.com',
            'dodsi.com',
            'intersteller.com',
            'yourlms.biz',
            'fuwamofu.com',
            'dropcake.de',
            'ezfill.com',
            'wmail.club',
            'totesmail.com',
            '8mail.ml',
            'lilo.me',
            'mailchop.com',
            'lee.mx',
            'e3z.de',
            'midlertidig.com',
            'yui.it',
            'veryday.eu',
            'contbay.com',
            'animesos.com',
            'spamtrap.ro',
            'shitmail.de',
            'throwam.com',
            'sharedmailbox.org',
            '99experts.com',
            'pingir.com',
            'pfui.ru',
            'upliftnow.com',
            'irabops.com',
            'spamdecoy.net',
            'cheaphub.net',
            'poutineyourface.com',
            'stelliteop.info',
            'geronra.com',
            'bij.pl',
            'anon-mail.de',
            'amazon-aws.org',
            'ver0.tk',
            'ujijima1129.gq',
            'veryday.info',
            'kcrw.de',
            'stop-my-spam.pp.ua',
            'mail.ru',
            'alienware13.com',
            '30wave.com',
            'topinrock.cf',
            'stanfordujjain.com',
            'web-ideal.fr',
            'incognitomail.org',
            'kopagas.com',
            '4mail.cf',
            'uplipht.com',
            'nevermail.de',
            'crastination.de',
            'rejo.technology',
            'pig.pp.ua',
            'wins.com.br',
            'geteit.com',
            'offshore-proxies.net',
            'via.tokyo.jp',
            'evyush.com',
            'trashymail.net',
            'myspaceinc.com',
            'anappthat.com',
            'uu.gl',
            'sexyalwasmi.top',
            'recipeforfailure.com',
            'forgetmail.com',
            'polarkingxx.ml',
            'freeplumpervideos.com',
            'you-spam.com',
            'guerillamail.org',
            'svk.jp',
            'gmxmail.win',
            'allamericanwe.us',
            'email-fake.com',
            'temporarioemail.com.br',
            'junk1e.com',
            'stop-my-spam.cf',
            'geekforex.com',
            'empireanime.ga',
            'cu.cc',
            'hotmial.com',
            'nine.fackme.gq',
            'slipry.net',
            '*.istii.ro',
            'dab.ro',
            'mtmdev.com',
            '*.spamtrap.ro',
            'discard.gq',
            'testudine.com',
            'dred.ru',
            'two.emailfake.ml',
            'netzidiot.de',
            'spambog.com',
            'seven.fackme.gq',
            'divismail.ru',
            'ver0.gq',
            'raetp9.com',
            '0815.su',
            'kir.ch.tc',
            'pulpmail.us',
            'gafy.net',
            'hackersquad.tk',
            'italy-mail.com',
            'docmail.cz',
            'imgof.com',
            'inoutmail.de',
            'wegwerpmailadres.nl',
            'binnary.com',
            'hola.org',
            'ourawesome.life',
            'TempEMail.net',
            'vankin.de',
            'garrymccooey.com',
            'dealja.com',
            'emlhub.com',
            'revolvingdoorhoax.org',
            'kmhow.com',
            'slopsbox.com',
            'freeletter.me',
            'anonmail.top',
            'heathenhammer.com',
            '2wc.info',
            'al-qaeda.us',
            'yopmail.pp.ua',
            'ftp.sh',
            'pakadebu.ga',
            'oerpub.org',
            'gynzy.ro',
            'gudanglowongan.com',
            'next.ovh',
            'muathegame.com',
            'protonmail.com',
            '10mail.com',
            '50mb.ml',
            'haribu.com',
            'maildrop.ml',
            'p33.org',
            'monadi.ml',
            'cbair.com',
            'gcmail.top',
            'pw.j7.cloudns.cx',
            'norseforce.com',
            'businesssuccessislifesuccess.com',
            'thanksnospam.info',
            'mebelnu.info',
            'shieldedmail.com',
            'aa5zy64.com',
            'sroff.com',
            'academywe.us',
            'mutant.me',
            '0-mail.com',
            'sikux.com',
            'inboxbear.com',
            'malahov.de',
            '10minutemail.co.uk',
            'sanstr.com',
            '*.onlysext.com',
            'ihazspam.ca',
            'kulturbetrieb.info',
            'moot.es',
            'pw.mymy.cf',
            'valhalladev.com',
            'richfinances.pw',
            'ksmtrck.tk',
            'midcoastsolutions.net',
            'ht.cx',
            'haydoo.com',
            'discard.ga',
            'dengekibunko.gq',
            'fastyamaha.com',
            'ama-trans.de',
            'fizmail.com',
            'hoanggiaanh.com',
            'aver.com',
            'n1nja.org',
            'emailsecurer.com',
            '*.uu.gl',
            'ss.0x01.tk',
            'a.safe-mail.gq',
            'ixx.io',
            'datum2.com',
            'ozyl.de',
            'footard.com',
            'hackthatbit.ch',
            'SpamHerePlease.com',
            'pojok.ml',
            'anyalias.com',
            'yamail.win',
            'vfemail.net',
            'krypton.tk',
            'deyom.com',
            'landmail.co',
            '20email.eu',
            'aron.us',
            'incognitomail.net',
            'my.safe-mail.gq',
            'hungpackage.com',
            'rootfest.net',
            'SendSpamHere.com',
            'mail114.net',
            'sudomail.biz',
            'smellypotato.tk',
            'lez.se',
            'm5s.igg.biz',
            '12minutemail.com',
            'email-jetable.fr',
            'emailage.cf',
            'thxmate.com',
            'dumpmail.de',
            'borged.com',
            'insorg-mail.info',
            'midcoastcustoms.net',
            'fulvie.com',
            '10minutemail.net',
            '80665.com',
            'mockmyid.com',
            'throwawaymail.uu.gl',
            'maileater.com',
            'psoxs.com',
            'socrazy.club',
            'pii.at',
            'jajxz.com',
            'satisfyme.club',
            '2.fackme.gq',
            'risingsuntouch.com',
            '3d-painting.com',
            'kekita.com',
            'bauwerke-online.com',
            'vidchart.com',
            'csh.ro',
            'emailtech.info',
            'investore.co',
            'delayload.net',
            'secured-link.net',
            'mailbox72.biz',
            'fastnissan.com',
            'iaoss.com',
            'mycorneroftheinter.net',
            'jumonji.tk',
            'webcontact-france.eu',
            'emlpro.com',
            'electro.mn',
            'lkgn.se',
            'findu.pl',
            'tualias.com',
            'qiq.us',
            'mailnator.com',
            'pastebitch.com',
            'kiani.com',
            'ssoia.com',
            'fornow.eu',
            'blogspam.ro',
            'ado888.biz',
            'thietbivanphong.asia',
            'xxi2.com',
            'ceed.se',
            'nine.emailfake.ml',
            '3202.com',
            'stuckmail.com',
            'lgxscreen.com',
            'spamcero.com',
            'locanto1.club',
            'safermail.info',
            'lackmail.ru',
            'mailinator.info',
            'cmail.club',
            'storiqax.com',
            'wegwerf-email.at',
            'gynzy.at',
            'eight.emailfake.ml',
            'cubiclink.com',
            'nada.ltd',
            'antispam24.de',
            'viewcastmedia.org',
            'mailfall.com',
            'emaildienst.de',
            'predatorrat.ml',
            'trash-amil.com',
            '7mail.ml',
            'one.emailfake.ml',
            'outluok.com',
            'hidebox.org',
            'duck2.club',
            'gmx1mail.top',
            'ftpinc.ca',
            'linkedintuts2016.pw',
            'one.fackme.gq',
            'momentics.ru',
            'spamfighter.gq',
            'sezet.com',
            'cjpeg.com',
            'art-en-ligne.pro',
            'xcpy.com',
            'postonline.me',
            'predatorrat.tk',
            'eatmea2z.club',
            'predatorrat.ga',
            'mailsac.com',
            '5.fackme.gq',
            'privy-mail.de',
            '10minutemail.nl',
            'miauj.com',
            'spamwc.ml',
            'mystvpn.com',
            '4057.com',
            'b2bx.net',
            'etranquil.com',
            'mailinatar.com',
            'sizzlemctwizzle.com',
            'datazo.ca',
            'peterdethier.com',
            'analogwe.us',
            'gmai.com',
            'amail4.me',
            'forspam.net',
            'mozej.com',
            'emailisvalid.com',
            'bgtmail.com',
            'vixletdev.com',
            'arduino.hk',
            'emltmp.com',
            'ahk.jp',
            'ldop.com',
            'vomoto.com',
            'Disposableemailaddresses:emailmiser.com',
            'cane.pw',
            'tafoi.gr',
            'piki.si',
            'techgroup.me',
            'ohi.tw',
            'otlook.es',
            's0ny.nut.cc',
            'inboxed.pw',
            'tapchicuoihoi.com',
            'aegia.net',
            'spambox.irishspringrealty.com',
            'asdasd.ru',
            'free-email.cf',
            'klassmaster.net',
            'scay.net',
            '027168.com',
            'giacmosuaviet.info',
            'hotprice.co',
            'loh.pp.ua',
            'damai.webcam',
            'boxformail.in',
            'bgx.ro',
            'asu.mx',
            'mcache.net',
            'testore.co',
            'moreorcs.com',
            'apssdc.ml',
            'oopi.org',
            'SpamHereLots.com',
            'spamoff.de',
            'spam-be-gone.com',
            'oalsp.com',
            'mswork.ru',
            'whiffles.org',
            'gmal.com',
            '55hosting.net',
            'tellos.xyz',
            'zxcvbnm.com',
            'dev-null.ga',
            'qc.to',
            'fadingemail.com',
            '6mail.ml',
            'a45.in',
            'agger.ro',
            'cnew.ir',
            '4.emailfake.ml',
            'daemsteam.com',
            'manifestgenerator.com',
            'banit.me',
            'fastchrysler.com',
            'homail.com',
            '6ip.us',
            'rumgel.com',
            'lackmail.net',
            'chaichuang.com',
            'nonze.ro',
            '1clck2.com',
            'punkass.com',
            'dz17.net',
            'pa9e.com',
            'yapped.net',
            'cheatmail.de',
            'shotmail.ru',
            '0mel.com',
            'tqosi.com',
            'sudoverse.com',
            'mountainregionallibrary.net',
            're-gister.com',
            'disposable.cf',
            'procrackers.com',
            'soon.it',
            'hornyalwary.top',
            'aheadwe.us',
            '1zhuan.com',
            'klick-tipp.us',
            'mailzi.ru',
            'icx.in',
            '5gramos.com',
            'freemails.ml',
            'messwiththebestdielikethe.rest',
            'voxelcore.com',
            'remail.cf',
            'abyssmail.com',
            'gifto12.com',
            'tverya.com',
            'steambot.net',
            'foobarbot.net',
            'wilemail.com',
            'tafmail.com',
            'gdmail.top',
            'hartbot.de',
            'thrma.com',
            'whatsaas.com',
            'autlook.com',
            'moneypipe.net',
            'appinventor.nl',
            'spr.io',
            'youmailr.com',
            'instantemailaddress.com',
            'cd.mintemail.com',
            'w3internet.co.uk',
            'emailinfive.com',
            'gmx.es',
            'joseihorumon.info',
            'crossroadsmail.com',
            'tefl.ro',
            'mailhazard.com',
            'jobposts.net',
            'appixie.com',
            'widaryanto.info',
            'greggamel.net',
            'andreihusanu.ro',
            'soodmail.com',
            'sudoworld.net',
            '75hosting.net',
            'oepia.com',
            'foxja.com',
            'usako.net',
            'thunkinator.org',
            '7.fackme.gq',
            'tempmail.it',
            'noclickemail.com',
            'tosunkaya.com',
            'netris.net',
            'jmail.ovh',
            'davidkoh.net',
            'chong-mail.com',
            'xl.cx',
            'trashmail.ws',
            'mail4trash.com',
            'garbagemail.org',
            'temp-mail.pp.ua',
            'cellurl.com',
            'three.emailfake.ml',
            'justemail.ml',
            'webtrip.ch',
            'xwaretech.net',
            'kommunity.biz',
            'yandex.com',
            'anthony-junkmail.com',
            'flyinggeek.net',
            'moreawesomethanyou.com',
            'two.fackme.gq',
            'ubismail.net',
            '8.emailfake.ml',
            'moeri.org',
            'anappfor.com',
            'habitue.net',
            'asdhgsad.com',
            'j7.cloudns.cx',
            'ihateyoualot.info',
            'drevo.si',
            'disign-concept.eu',
            'gynzy.sk',
            'sendingspecialflyers.com',
            'maildu.de',
            'xzsok.com',
            'nanonym.ch',
            'myspaceinc.net',
            'zhorachu.com',
            'fbma.tk',
            'get1mail.com',
            's-s.igg.biz',
            'uiu.us',
            'midcoastsolutions.com',
            'stexsy.com',
            'akgq701.com',
            'glucosegrin.com',
            'foreskin.tk',
            'spamfighter.cf',
            'kwilco.net',
            'jetable.pp.ua',
            'film-blog.biz',
            'parqueadero.work',
            '8.fackme.gq',
            'tonymanso.com',
            'kosmetik-obatkuat.com',
            'sawoe.com',
            'mailfree.gq',
            'aegde.com',
            'vps30.com',
            'tic.ec',
            'autotwollow.com',
            'odem.com',
            'cars2.club',
            'mailzilla.org',
            'akerd.com',
            'gbcmail.win',
            'writeme.us',
            'spambog.de',
            'regbypass.com',
            'zhewei88.com',
            'fictionsite.com',
            'mailjunk.cf',
            'receiveee.com',
            'e-mailbox.ga',
            'unids.com',
            'fux0ringduh.com',
            'ldtp.com',
            'sohai.ml',
            'wuzup.net',
            'imul.info',
            'macr2.com',
            'ny7.me',
            'doiea.com',
            'coolandwacky.us',
            'trickmail.net',
            'emailz.ml',
            'wimsg.com',
            'okzk.com',
            'ver0.ml',
            'nfast.net',
            'gmx.fr.nf',
            'domforfb9.tk',
            'veryday.ch',
            'inggo.org',
            'rcasd.com',
            'vps911.net',
            'carsencyclopedia.com',
            '5july.org',
            'de-a.org',
            'ginzi.be',
            'trashmail.io',
            'thatim.info',
            '10minut.com.pl',
            'twocowmail.net',
            'badgerland.eu',
            '10minutemail.cf',
            'trbvo.com',
            'leeching.net',
            'zhaoyuanedu.cn',
            'regbypass.comsafe-mail.net',
            'getonemail.net',
            'air2token.com',
            'civx.org',
            'tranceversal.com',
            '2anom.com',
            'add3000.pp.ua',
            'hccmail.win',
            'akapost.com',
            '0ulook.com',
            'garizo.com',
            'fake-mail.cf',
            'iozak.com',
            'mailslite.com',
            'ushijima1129.gq',
            'viewcastmedia.com',
            'ququb.com',
            'der-kombi.de',
            'mihep.com',
            'youmail.ga',
            'level3.usa.cc',
            'mailme.ir',
            'outuok.com',
            'discard.ml',
            'klipschx12.com',
            '9mail.cf',
            'nospamthanks.info',
            'gynzy.eu',
            'slothmail.net',
            'salmeow.tk',
            'sofort-mail.de',
            'tempalias.com',
            'doanart.com',
            'zebins.eu',
            'btcmail.pwguerrillamail.net',
            'gaggle.net',
            'siteposter.net',
            'niepodam.pl',
            'sify.com',
            'raqid.com',
            'mwarner.org',
            '10minutemail.pro',
            'valemail.net',
            'selfdestructingmail.com',
            'outluk.com',
            'honor-8.com',
            'jpco.org',
            '3.emailfake.ml',
            'adwaterandstir.com',
            'xperiae5.com',
            'rppkn.com',
            'griuc.schule',
            'epb.ro',
            'ytpayy.com',
            'wetrainbayarea.com',
            'lru.me',
            'tinoza.org',
            'dev-null.gq',
            'dispomail.eu',
            'adsd.org',
            'zhcne.com',
            'aligamel.com',
            '10mail.org',
            '001.igg.biz',
            'fakemailz.com',
            'crusthost.com',
            'myemailboxy.com',
            'sinfiltro.cl',
            'privy-mail.com',
            'janproz.com',
            '4warding.net',
            'x.emailfake.ml',
            'hpc.tw',
            'dndent.com',
            'spam.0x01.tk',
            'dnses.ro',
            '20mail.it',
            'aoeuhtns.com',
            'nobulk.com',
            'whatiaas.com',
            'wuespdj.xyz',
            'tb-on-line.net',
            'ezstest.com',
            'juyouxi.com',
            'crazymailing.com',
            'gowikibooks.com',
            'iroid.com',
            'spaminator.de',
            'cetpass.com',
            'fuckxxme.top',
            'dbunker.com',
            'szerz.com',
            'bareed.ws',
            'fammix.com',
            'iheartspam.org',
            'get-mail.ml',
            'ebeschlussbuch.de',
            'xrho.com',
            'thex.ro',
            'temporarily.de',
            'wegwerf-email.de',
            'disposemail.com',
            'fettometern.com',
            '6.emailfake.ml',
            'zfymail.com',
            'ginzy.eu',
            '9.emailfake.ml',
            'discardmail.com',
            'joelpet.com',
            'bigprofessor.so',
            'bot.nu',
            'clrmail.com',
            '10minutemail.gq',
            'internetoftags.com',
            'fastkawasaki.com',
            'hotmai.com',
            'mohmal.in',
            '2.emailfake.ml',
            'blip.ch',
            'makemenaughty.club',
            'tkitc.de',
            'telecomix.pl',
            'ugimail.net',
            'get.pp.ua',
            'autorobotica.com',
            'figshot.com',
            'coza.ro',
            'letmeinonthis.com',
            'iuemail.men',
            'ourklips.com',
            'golemico.com',
            'divermail.com',
            'ass.pp.ua',
            'apfelkorps.de',
            'thnikka.com',
            'one.raikas77.eu',
            'givmail.com',
            'mailgutter.com',
            'chibakenma.ml',
            'tmpeml.info',
            'alldirectbuy.com',
            'sudolife.me',
            'nogmailspam.info',
            'abuser.eu',
            'fastacura.com',
            'imstations.com',
            'autlook.es',
            'freelance-france.eu',
            'getnada.com',
            'cyber-phone.eu',
            'airsi.de',
            'brasx.org',
            'web2mailco.com',
            'toiea.com',
            'bladesmail.net',
            'inboxproxy.com',
            'nwytg.com',
            'outloo.com',
            'avls.pt',
            'durandinterstellar.com',
            'lzoaq.com',
            'outlawspam.com',
            '75hosting.com',
            'abcmail.email',
            'undo.it',
            'mohmal.com',
            'kludgemush.com',
            'bunsenhoneydew.com',
            'trashdevil.de',
            'wegwerfemailadresse.com',
            '5ymail.com',
            'youremail.cf',
            'techemail.com',
            'chumpstakingdumps.com',
            'skeefmail.com',
            'cross-law.gq',
            'photo-impact.eu',
            'zzz.commailfreeonline.com',
            'uotluok.com',
            'mailna.biz',
            'sweetpotato.ml',
            'mailfree.ga',
            '4.fackme.gq',
            'gamail.top',
            'plw.me',
            'isosq.com',
            'euaqa.com',
            'mailna.me',
            '20mail.eu',
            'outlouk.com',
            'disaq.com',
            'vorga.org',
            'mucincanon.com',
            'zoemail.com',
            'trashmailer.com',
            'neko2.net',
            'cylab.org',
            'exitstageleft.net',
            'shrib.com',
            'ghosttexter.de',
            'dp76.com',
            'barryogorman.com',
            'ruffrey.com',
            'bcb.ro',
            'deagot.com',
            'greenhousemail.com',
            'obfusko.com',
            'lovemeleaveme.com',
            'tempsky.com',
            'bluewerks.com',
            'secure-mail.cc',
            '10minutenemail.de',
            'storj99.com',
            'degradedfun.net',
            'xjoi.com',
            'amail.com',
            'cnamed.com',
            'guerillamail.net',
            'deadchildren.org',
            'mxfuel.com',
            'kodorsex.cf',
            'gotmail.com',
            'comwest.de',
            'buspad.org',
            'freesistercam.com',
            'qtum-ico.com',
            'grandmasmail.com',
            'txt.flu.cc',
            'gynzy.gr',
            'deadfake.cf',
            'apkmd.com',
            'dataarca.com',
            'sin.cl',
            'vssms.com',
            'lakelivingstonrealestate.com',
            'spambob.com',
            'suburbanthug.com',
            'tagmymedia.com',
            'rtskiya.xyz',
            'dialogus.com',
            's0ny.usa.cc',
            'smtp99.com',
            'ch.tc',
            'mankyrecords.com',
            'awatum.de',
            'inclusiveprogress.com',
            'josse.ltd',
            '36ru.com',
            'mohmal.im',
            'protempmail.com',
            'uu1.pl',
            'o2stk.org',
            'uyhip.com',
            'tlpn.org',
            'twoweirdtricks.com',
            'bst-72.com',
            'seekjobs4u.com',
            'gbmail.top',
            'byebyemail.com',
            'startkeys.com',
            'zik.dj',
            'tmail.ws',
            'oroki.de',
            'oulook.com',
            'xxqx3802.com',
            'emailsy.info',
            'rma.ec',
            'hotpop.com',
            'trbvn.com',
            'onlineidea.info',
            'blogmyway.org',
            'pagamenti.tk',
            'urfunktion.se',
            'trash-mail.gq',
            'efxs.ca',
            'redfeathercrow.com',
            'spamtrail.com',
            'trashemails.de',
            'fastmazda.com',
            'geew.ru',
            'derkombi.de',
            's-s.usa.cc',
            'lacedmail.com',
            'rvb.ro',
            'storj99.top',
            'gmxmail.top',
            'mailmate.com',
            'bearsarefuzzy.com',
            'tempail.com',
            'mydemo.equipment',
            'yxzx.net',
            'bartdevos.be',
            'incognitomail.com',
            'dawin.com',
            'i6.cloudns.cc',
            'sly.io',
            'macromice.info',
            'maildrop.cf',
            'choco.la',
            'verdejo.com',
            'spamkill.info',
            'spaml.com',
            'evilcomputer.com',
            'instantmail.fr',
            'loapq.com',
            'fr.nf',
            'trashmail.gq',
            'mnode.me',
            'alphaomegawe.us',
            'toprumours.com',
            'eelmail.com',
            'yedi.org',
            'mailhazard.us',
            'gxemail.men',
            'disposeamail.com',
            'payperex2.com',
            'wbml.net',
            'rr.0x01.gq',
            '42o.org',
            'spambob.org',
            'qvy.me',
            'samsclass.info',
            'theaviors.com',
            'ipoo.org',
            'soisz.com',
            'dildosfromspace.com',
            'ymail.com',
            'yopail.com',
            'huangniu8.com',
            'snapwet.com',
            'badoop.com',
            'burnthespam.info',
            'cmail.com',
            'fatflap.com',
            'loan101.pro',
            'andthen.us',
            'six.fackme.gq',
            'moza.pl',
            'stop-my-spam.ml',
            'gamgling.com',
            'inbound.plus',
            'hotamil.com',
            'ajaxapp.net',
            'qsl.ro',
            'cream.pink',
            'munoubengoshi.gq',
            'sanfinder.com',
            'latinmail.com',
            'lags.us',
            'mail72.com',
            'rejectmail.com',
            'fxnxs.com',
            'maildx.com',
            'txtadvertise.com',
            'doquier.tk',
            'dhm.ro',
            'moburl.com',
            'gav0.com',
            '10minutemail.ga',
            'storiqax.top',
            'wikidocuslava.ru',
            'bum.net',
            'wickmail.net',
            'flemail.ru',
            'ushijima1129.ga',
            'level3.nut.cc',
            'cocovpn.com',
            'lukecarriere.com',
            'coolimpool.org',
            'throwawaymail.pp.ua',
            'walkmail.net',
            'fastsuzuki.com',
            'ycn.ro',
            'vctel.com',
            'laoeq.com',
            'a7996.com',
            'nguyenusedcars.com',
            'trash-me.com',
            'bunchofidiots.com',
            'porsh.net',
            'm5s.nut.cc',
            'gedmail.win',
            'beddly.com',
            '2120001.net',
            'knol-power.nl',
            '2000rebates.stream',
            'purelogistics.org',
            'xn--9kq967o.com',
            'myspaceinc.org',
            'remote.li',
            'posdz.com',
            'wegwerfemail.net',
            'zoemail.org',
            'icx.ro',
            'esc.la',
            'pimpedupmyspace.com',
            'sabrestlouis.com',
            'foreskin.ga',
            'mspeciosa.com',
            'taphear.com',
            'thembones.com.au',
            'junkmail.com',
            'queuem.com',
            'isdaq.com',
            's-s.flu.cc',
            '675hosting.com',
            'jobs-to-be-done.net',
            'mailme.gq',
            '10x9.com',
            'streetwisemail.com',
            'secure-box.info',
            'visal168.tk',
            'edgex.ru',
            'banit.club',
            'keipino.de',
            'tiv.cc',
            'l-c-a.us',
            'tempmail2.com',
            'netricity.nl',
            'zepp.dk',
            '1ce.us',
            's0ny.flu.cc',
            'binka.me',
            'uk.to',
            'ruru.be',
            'm5s.flu.cc',
            'mailbox52.ga',
            'cross-law.ga',
            'averdov.com',
            'foxtrotter.info',
            'niwl.net',
            'nbox.notif.me',
            'maboard.com',
            'fuirio.com',
            'guerillamail.de',
            'anonymail.dk',
            'xmail.com',
            '10minutemail.de',
            'gelitik.in',
            'riddermark.de',
            'emailo.pro',
            'loin.in',
            'chickenkiller.com',
            'ecolo-online.fr',
            'ushijima1129.tk',
            'gmatch.org',
            'tmails.net',
            'dolphinnet.net',
            'dodgit.org',
            'mfsa.info',
            'mdhc.tk',
            'guerillamail.info',
            'trungtamtoeic.com',
            'ploae.com',
            'sendspamhere.com',
            'rkomo.com',
            'ushijima1129.ml',
            '0box.eu',
            'noicd.com',
            'maggotymeat.ga',
            'lovemeet.faith',
            'fakedemail.com',
            'esemay.com',
            'randomail.net',
            'boxtemp.com.br',
            'ignoremail.com',
            'digitalmariachis.com',
            'ggg.pp.ua',
            'bundes-li.ga',
            'nypato.com',
            'mailhz.me',
            'rdklcrv.xyz',
            'temp-mail.de',
            'indosukses.press',
            'zv68.com',
            'negated.com',
            'shut.name',
            'dev-null.ml',
            'email-fake.ml',
            'achievewe.us',
            'lazyinbox.us',
            'smarttalent.pw',
            'girlmail.win',
            'moakt.co',
            'hostlaba.com',
            'matchpol.net',
            '4mail.ga',
            'basscode.org',
            'bumpymail.com',
            'oreidresume.com',
            'fakeinbox.info',
            'g3xmail.top',
            'shalar.net',
            'brennendesreich.de',
            'mailf5.com',
            'midlertidig.net',
            'totalvista.com',
            'rklips.com',
            'betr.co',
            'alisongamel.com',
            'lillemap.net',
            'sino.tw',
            'tyhe.ro',
            'galaxy.tv',
            '1chuan.com',
            'wudet.men',
            'tmpmail.org',
            'muchomail.com',
            'turoid.com',
            'remail.ga',
            'greggamel.com',
            'trayna.com',
            '3l6.com',
            'toddsbighug.com',
            'kakadua.net',
            'sohu.com',
            'correo.blogos.net',
            'xxlocanto.us',
            'top1post.ru',
            'emailfake.com',
            'mailtemporaire.fr',
            'purcell.email',
            'hochsitze.com',
            'disposablemails.com',
            'autluok.com',
            'advantimo.com',
            'kismail.ru',
            'zainmax.net',
            'jdmadventures.com',
            'us.to',
            '*.wupics.com',
            'tvchd.com',
            'bk.ru',
            'spikio.com',
            'front14.org',
            'nolemail.ga',
            'last-chance.pro',
            'gamail.com',
            'dlemail.ru',
            'zoho.com',
            'morsin.com',
            'nh3.ro',
            'herpderp.nl',
            'recyclemail.dk',
            'ldaho.net',
            'wetrainbayarea.org',
            'ashleyandrew.com',
            'ver0.cf',
            'emailfake.ml',
            'sudomail.net',
            'g2xmail.top',
            'emailure.net',
            'nincsmail.com',
            'secmail.pw',
            'loadby.us',
            'giyam.com',
            'mynetstore.de',
            'mailbox92.biz',
            'ckiso.com',
            'moakt.ws',
            '10minutmail.pl',
            'oolus.com',
            'nm7.cc',
            'riski.cf',
            'dotman.de',
            'dbz5mchild.com',
            '5mail.cf',
            'kloap.com',
            'flurred.com',
            'PutThisInYourSpamDatabase.com',
            'walkmail.ru',
            'duskmail.com',
            'hezll.com',
            'reftoken.net',
            'alivance.com',
            'veo.kr',
            'svxr.org',
            'freemail.tweakly.net',
            'mm5.se',
            'mr24.co',
            'hotmal.com',
            'divad.ga',
            'kiois.com',
            'hash.pp.ua',
            'qbfree.us',
            'mailmoth.com',
            'joetestalot.com',
            'allowed.org',
            'mx0.wwwnew.eu',
            'premium-mail.fr',
            'z0d.eu',
            'emailmiser.com',
            'gemail.com',
            '10minutemail.us',
            'consumerriot.com',
            'qasti.com',
            'minsmail.com',
            'wralawfirm.com',
            'puglieisi.com',
            'xxolocanto.us',
            'my10minutemail.com',
            'mansiondev.com',
            'diapaulpainting.com',
            '3.fackme.gq',
            'forward.cat',
            'foreskin.ml',
            'fast-mail.fr',
            'logular.com',
            'x24.com',
            'posta.store',
            'ige.es',
            'ubm.md',
            'zaktouni.fr',
            'lenovog4.com',
            'gally.jp',
            'mvrht.com',
            'thrott.com',
            'hi5.si',
            'server.ms',
            'miaferrari.com',
            'txpwg.usa.cc',
            'ethereum1.top',
            'freemailzone.com',
            '7.emailfake.ml',
            'tm2mail.com',
            'emailna.co',
            'x.fackme.gq',
            'spamfree24.eu',
            'suckmyd.com',
            'email60.com',
            'trashinbox.com',
            'businessbackend.com',
            'ippandansei.tk',
            'gzb.ro',
            'ro.lt',
            'llogin.ru',
            'bcast.ws',
            '12houremail.com',
            'mailimate.com',
            'foreskin.gq',
            'mailna.in',
            'trash-mail.cf',
            'chong-mail.net',
            'starlight-breaker.net',
            'mailsucker.net',
            'mailtrix.net',
            'indomina.cf',
            'mailjunk.gq',
            'chielo.com',
            'outlok.com',
            'schachrol.com',
            'enterto.com',
            '6url.com',
            'smwg.info',
            '6mail.ga',
            'uul.pl',
            'topmail.com',
            'mobilevpn.top',
            'housat.com',
            'junk.to',
            'tokem.co',
            'hotmaill.com',
            'predatorrat.gq',
            'moakt.com',
            '1usemail.com',
            'put2.net',
            'interstats.org',
            'lastmail.co',
            'gowikitravel.com',
            'uacro.com',
            'chalupaurybnicku.cz',
            'h8s.org',
            'fluidsoft.us',
            'grandmamail.com',
            'wazabi.club',
            'badpotato.tk',
            'mailtraps.com',
            'dr69.site',
            'estate-invest.fr',
            'email-fake.ga',
            'fun64.com',
            'eml.pp.ua',
            'yotmail.com',
            'mijnhva.nl',
            '12storage.com',
            'fuckme69.club',
            'primabananen.net',
            'dammexe.net',
            'wuzupmail.net',
            'fake-email.pp.ua',
            'nonspammer.de',
            'yopmail.biz.st',
            'humaility.com',
            'four.fackme.gq',
            'rowe-solutions.com',
            'j-p.us',
            'glubex.com',
            'esprity.com',
            'gynzy.lt',
            'eay.jp',
            'slippery.email',
            'anonbox.net',
            'zymuying.com',
            'htmail.com',
            'qibl.at',
            'xwaretech.com',
            'spybox.de',
            'o7i.net',
            'yodx.ro',
            'vkcode.ru',
            'i6.cloudns.cx',
            'dsiay.com',
            'wxnw.net',
            'completegolfswing.com',
            'three.fackme.gq',
            'curryworld.de',
            'mm.my',
            'ironiebehindert.de',
            'sandelf.de',
            'd1yun.com',
            'avia-tonic.fr',
            '12hosting.net',
            'spambooger.com',
            'cdpa.cc',
            'two.haddo.eu',
            '2odem.com',
            'trbvm.com',
            '10minutemail.be',
            '1.emailfake.ml',
            'academiccommunity.com',
            'aphlog.com',
            'plhk.ru',
            'schmid.cf',
            'freelance-france.euposta.store',
            'asu.su',
            'jafps.com',
            'sd3.in',
            'figjs.com',
            'freecat.net',
            '14n.co.uk',
            'motique.de',
            'domozmail.com',
            'faithkills.com',
            'funnymail.de',
            'swift10minutemail.com',
            'hs.vc',
            'lain.ch',
            'myspamless.com',
            'mail-easy.fr',
            'newbpotato.tk',
            'flowu.com',
            'statdvr.com',
            'stathost.net',
            'taglead.com',
            'qisoa.com',
            'olypmall.ru',
            'skypaluten.de',
            's.0x01.gq',
            'ip6.pp.ua',
            'haltospam.com',
            'rabiot.reisen',
            'h.mintemail.com',
            'mailjunk.ml',
            'razemail.com',
            'zoaxe.com',
            'ra3.us',
            'reality-concept.club',
            'qisdo.com',
            'nezdiro.org',
            'zipcad.com',
            'crazespaces.pw',
            'rnailinator.com',
            'furzauflunge.de',
            'emil.com',
            'gorillaswithdirtyarmpits.com',
            'spamwc.gq',
            'whatpaas.com',
            'shitmail.org',
            'fr33mail.info',
            'mailproxsy.com',
            'f4k.es',
            'webm4il.info',
            'maileme101.com',
            'mail666.ru',
            'www.gishpuppy.com',
            'five.emailfake.ml',
            'ourpreviewdomain.com',
            'dropmail.me',
            'sudomail.com',
            'pro-tag.org',
            'sudolife.net',
            'fuckedupload.com',
            'headstrong.de',
            'grish.de',
            'mailfree.ml',
            'deekayen.us',
            'tempmail.us',
            'gotimes.xyz',
            'sofortmail.de',
            'powered.name',
            'whatifanalytics.com',
            '6-6-6.nut.cc',
            'pavilionx2.com',
            'vipmail.pw',
            'fucknloveme.top',
            'indomaed.pw',
            'fddns.ml',
            'ddcrew.com',
            'incq.com',
            'msa.minsmail.com',
            'gynzy.mobi',
            'etlgr.com',
            'latinchat.com',
            'superplatyna.com',
            'ginzi.net',
            'whopy.com',
            'clipmail.eu',
            'ypmail.webarnak.fr.eu.org',
            'wallm.com',
            'ethersports.org',
            'pisls.com',
            'inboxdesign.me',
            'spambox.org',
            'uu2.ovh',
            'ipsur.org',
            'mechanicalresumes.com',
            'sohus.cn',
            'sausen.com',
            'kyois.com',
            'ycare.de',
            'demen.ml',
            'krsw.tk',
            'rollindo.agency',
            'vmani.com',
            'web-mail.pp.ua',
            'privymail.de',
            'daryxfox.net',
            'pi.vu',
            'ind.st',
            'markmurfin.com',
            'fasttoyota.com',
            'broadbandninja.com',
            'msxd.com',
            '2ether.net',
            'teerest.com',
            'bccto.me',
            'mox.pp.ua',
            'spam.su',
            '60-minuten-mail.de',
            'agtx.net',
            'lak.pp.ua',
            'mvrht.net',
            'sendfree.org',
            'etranquil.org',
            'now.im',
            'tempmail.pp.ua',
            'six.emailfake.ml',
            'yomail.com',
            'vipepe.com',
            'gowikimusic.com',
            'clandest.in',
            'gowikitv.com',
            'toon.ml',
            'gowikicars.com',
            '*.cfo2go.ro',
            'mziqo.com',
            'yourtube.ml',
            'keepmymail.com',
            'lopl.co.cc',
            'diwaq.com',
            'flyspam.com',
            'fastsubaru.com',
            '10minutemailbox.com',
            'xcompress.com',
            'emailfreedom.ml',
            'zebins.com',
            'cam4you.cc',
            'zzi.us',
            'jopho.com',
            'pepbot.com',
            'yomail.info',
            'gynzy.info',
            'alph.wtf',
            'coreclip.com',
            'luckymail.org',
            'sexical.com',
            'gowikigames.com',
            'ohaaa.de',
            'ip4.pp.ua',
            'temp-mail.com',
            'dotmsg.com',
            'xemne.com',
            'myzx.com',
            'mailfs.com',
            'mailback.com',
            'yaqp.com',
            'derluxuswagen.de',
            'm4ilweb.info',
            'gmx.com',
            'z86.ru',
            'piaa.me',
            'hecat.es',
            'instance-email.com',
            'spamfree24.net',
            'uwork4.us',
            'predatorrat.cf',
            'tqoai.com',
            'tech69.com',
            'midlertidig.org',
            'emailto.de',
            'squizzy.net',
            'zasod.com',
            'email-fake.gq',
            'mytemp.email',
            'emailigo.de',
            'extremail.ru',
            '675hosting.net',
            'psh.me',
            'rustydoor.com',
            'sluteen.com',
            'bluedumpling.info',
            'gimail.com',
            'xww.ro',
            'email-temp.com',
            'hmail.us',
            'svip520.cn',
            '1.fackme.gq',
            'emailspam.ml',
            'powlearn.com',
            'obxpestcontrol.com',
            'garasikita.pw',
            'nomail.cf',
            'daibond.info',
            'vinernet.com',
            'ano-mail.net',
            'easynetwork.info',
            'hoanglong.tech',
            'yop.ze.cx',
            '6-6-6.igg.biz',
            'socrazy.online',
            'tryalert.com',
            '6.fackme.gq',
            'sudoworld.com',
            'reptilegenetics.com',
            'vmpanda.com',
            'notrnailinator.com',
            'squizzy.de',
            'tmail.com',
            'raketenmann.de',
            'spamavert.com',
            'vda.ro',
            'nothingtoseehere.ca',
            'otmail.com',
            'go2vpn.net',
            'gregorygamel.com',
            'hoo.com',
            '5x25.com',
            'forecastertests.com',
            'psles.com',
            'wegwerf-email.net',
            'amail.club',
            'seekapps.com',
            'freundin.ru',
            'tempr.email',
            's0ny.igg.biz',
            'fastmitsubishi.com',
            '11163.com',
            'ntlhelp.net',
            'discard.cf',
            'stinkefinger.net',
            'used-product.fr',
            'remarkable.rocks',
            'magamail.com',
            'migmail.net',
            'zain.site',
            'nada.email',
            '0clickemail.com',
            'yahmail.top',
            'etranquil.net',
            'axiz.org',
            'ronnierage.net',
            'yannmail.win',
            'ilovespam.com',
            'opendns.ro',
            'ariaz.jetzt',
            'mailna.co',
            'xbaby69.top',
            'auti.st',
            'spamwc.ga',
            'rotaniliam.com',
            'outmail.win',
            'wee.my',
            'scatmail.com',
            'cuirushi.org',
            'slave-auctions.net',
            'four.emailfake.ml',
            'mailbox80.biz',
            'envy17.com',
            'eight.fackme.gq',
            'photomark.net',
            'nezzart.com',
            'magicbox.ro',
            'malove.site',
            'spambox.info',
            'oneoffmail.com',
            'mailquack.com',
            '10minutesmail.com',
            'ether123.net',
            'cigar-auctions.com',
            '418.dk',
            'soioa.com',
            'gardenscape.ca',
            'matamuasu.ga',
            'stop-my-spam.ga',
            '1000rebates.stream',
            'clickdeal.co',
            'quickmail.nl',
            'imgv.de',
            'uemail99.com',
            'ieatspam.eu',
            'hotail.com',
            'throya.com',
            'lazyinbox.com',
            'fakemail.net',
            'tp-qa-mail.com',
            'chilkat.com',
            'notsharingmy.info',
            'e-tomarigi.com',
            'dev-null.cf',
            'jellyrolls.com',
            'carbtc.net',
            '10minutemail.ml',
            'mailtechx.com',
            'boximail.com',
            'f5.si',
            'wg0.com',
            'cyber-innovation.club',
            'ez.lv',
            'asorent.com',
            'unimark.org',
            'gomail.in',
            'ephemail.net',
            'mailcker.com',
            'visal168.ga',
            'fakemailgenerator.com',
            'ichigo.me',
            'anonymousness.com',
            'yoo.ro',
            'popesodomy.com',
            'freedompop.us',
            'kademen.com',
            'tormail.org',
            'kostenlosemailadresse.de',
            'trashmails.com',
            'jmail.ro',
            'opmmedia.ga',
            'pw.mysafe.ml',
            'inboxstore.me',
            'fackme.gq',
            'holl.ga',
            'nubescontrol.com',
            'disign-revelation.com',
            'karatraman.ml',
            'defomail.com',
            'no-ux.com',
            'msgos.com',
            'spamfree24.info',
            'alliancewe.us',
            'trasz.com',
            'sudoweb.net',
            '675hosting.org',
            'btcmail.pw',
            'rabin.ca',
            'antireg.com',
            'shipfromto.com',
            'kwift.net',
            'nwldx.com',
            'sudoverse.net',
            '3mail.ga',
            'p71ce1m.com',
            'gynzy.es',
            '0x01.tk',
            'yopmai.com',
            '9.fackme.gq',
            'spamwc.cf',
            'mohmal.tech',
            '10minutesmail.fr',
            'level3.flu.cc',
            'midcoastcustoms.com',
            'solar-impact.pro',
            'delayload.com',
            'x.0x01.tk',
            'thediamants.org',
            'toss.pw',
            'disbox.org',
            'genderfuck.net',
            'mailed.in',
            'cavi.mx',
            'drdrb.com',
            '10minutemails.in',
            'turual.com',
            'dspwebservices.com',
            'emailtea.com',
            'arvato-community.de',
            'seven.emailfake.ml',
            'gamil.com',
            '99.com',
            'monachat.tk',
            'chacuo.net',
            'discard.email',
            'omail.pro',
            'myindohome.services',
            'emailsingularity.net',
            'showslow.de',
            'viewcastmedia.net',
            'fakemail.fr',
            'mkpfilm.com',
            'candymail.de',
            'axsup.net',
            'xwaretech.info',
            'thraml.com',
            'myspacepimpedup.com',
            'tokenmail.de',
            'anit.ro',
            'emailfake.usa.cc',
            'furusato.tokyo',
            'tempmail.de',
            'five.fackme.gq',
            'okrent.us',
            'maidlow.info',
            'lifetotech.com',
            'spamfighter.ml',
            '20mm.eu',
            's33db0x.com',
            'nakedtruth.biz',
            'fangoh.com',
            'visal007.tk',
            'vemomail.win',
            'dm.w3internet.co.ukexample.com',
            'vuiy.pw',
            'spamthisplease.com',
            'ternaklele.ga',
            'mail.wtf',
            'daintly.com',
            'azcomputerworks.com',
            'jet-renovation.fr',
            'syujob.accountants',
            'gregorygamel.net',
            'astroempires.info',
            'trollproject.com',
            'ver0.ga',
            'acentri.com',
            'maswae.world',
            'rbb.org',
            'uhhu.ru',
            'jdz.ro',
            'drivetagdev.com',
            'widget.gg',
            'mailinator.us',
            'nnoway.ru',
            'runi.ca',
            'droplar.com',
            'tempemail.biz',
            'mailslapping.com',
            'aditus.info',
            'losemymail.com',
            'mailtemporaire.com',
            'vrmtr.com',
            'slushmail.com',
            'dhy.cc',
            'afrobacon.com',
            'tmpjr.me',
            'car101.pro',
            'kyal.pl',
            'g1xmail.top',
            'kariplan.com',
            'wegwerfemail.info',
            'coieo.com',
            'tanukis.org',
            'trashcanmail.com',
            'katztube.com',
            'yougotgoated.com',
            'ppetw.com',
            'email.net',
            'apps.dj',
            'temp-mails.com',
            'emailspam.cf',
            'migmail.pl',
            'getfun.men',
            'yopmail.co',
            'ml8.ca',
            'ephemeral.email',
            'kazelink.ml',
            'ti.igg.biz',
            'adiq.eu',
            'paplease.com',
            'vikingsonly.com',
            'gmail.com.co',
            'symphonyresume.com',
            'emails.ga',
            'gowikinetwork.com',
            's-s.nut.cc',
            'fir.hk',
            'zetmail.com',
            'dqnwara.com',
            'bulrushpress.com',
            'discardmail.de',
            '75hosting.org',
            'votiputox.org',
            'pooae.com',
            'fastchevy.com',
            'mailinator.co.uk',
            'mail4-us.org',
            'tempymail.com',
            'ampsylike.com',
            'bitwhites.top',
            '5.emailfake.ml',
            'nutpa.net',
            'appc.se',
            'affilikingz.de',
            'ieatspam.info',
            'hacccc.com',
            'kennedy808.com',
            'ye.vc',
            'merry.pink',
            'fakemail.com',
            'hvastudiesucces.nl',
            'projectcl.com',
            'awiki.org',
            'ethersportz.info',
            'r4nd0m.de',
            'duam.net',
            'ushijima1129.cf',
            'cnmsg.net',
            'mail707.com',
            '4warding.org',
            'jwork.ru',
            'pwrby.com',
            'mobileninja.co.uk',
            'vztc.com',
            '0x01.gq',
            'easy-trash-mail.com',
            '60minutemail.com',
            'gowikicampus.com',
            'nnot.net',
            'yop.0x01.gq',
            'outluo.com',
            'nonspam.eu',
            'startfu.com',
            'mji.ro',
            '2nd-mail.xyz',
            'nomail.ga',
            'hotmail.com',
            'mail-temporaire.com',
            'throam.com',
            'email-fake.cf',
            'nullbox.info',
            'btizet.pl',
            'mfsa.ru',
            'abakiss.com',
            'foreskin.cf',
            'mbox.0x01.tk',
            '5oz.ru',
            'onlysext.com',
            'haida-edu.cn',
            'hulapla.de',
            'stop-my-spam.com',
            'loaoa.com',
            'hmh.ro',
            'damnthespam.com ',
            'emailz.gq',
            'propscore.com',
            'thedirhq.info',
            'buzzcluby.com',
            'dob.jp',
            'damnthespam.com',
            'reconmail.com',
            'mciek.com',
            'sweetxxx.de',
            'spam.la',
            'yspend.com',
            'mail22.club',
            'dongqing365.com',
            'soodomail.com',
            'asdasd.nl',
            '6-6-6.usa.cc',
            'tagyourself.com',
            'tmpmail.net',
            'throwawaymail.com',
            'odaymail.com',
            'level3.igg.biz',
            'omnievents.org',
            'suioe.com',
            'malayalamdtp.com',
            'qoika.com',
            'tipsb.com',
            'gynzy.pl',
            'emailresort.com',
            'dodgemail.de',
            'cosmorph.com',
            '0815.ru0clickemail.com',
            '0815.ry',
            '0845.ru',
            '126.com',
            '12minutemail.net',
            '139.com',
            '163.com',
            '1mail.ml',
            '24hourmail.com',
            '420blaze.it',
            '5mail.ga',
            '6mail.cf',
            '7days-printing.com',
            '7mail.ga',
            '8127ep.com',
            '8chan.co',
            '8mail.cf',
            '8mail.ga',
            'a.mailcker.com',
            'a.vztc.com',
            'ag.us.to',
            'aktiefmail.nl',
            'anonymousmail.org',
            'anonymousspeech.com',
            'atvclub.msk.ru',
            'avpa.nl',
            'b2cmail.de',
            'big1.us',
            'bio-muesli.info',
            'blackmarket.to',
            'bloatbox.com',
            'blogos.com',
            'bluebottle.com',
            'br.mintemail.com',
            'brainonfire.net',
            'bu.mintemail.com',
            'buffemail.com',
            'bugmenever.com',
            'buyusedlibrarybooks.org',
            'cachedot.net',
            'cc.liamria',
            'chong-mail.org',
            'cock.li',
            'cumallover.me',
            'deadfake.ga',
            'deadfake.ml',
            'deadfake.tk',
            'dharmatel.net',
            'dicksinhisan.us',
            'dicksinmyan.us',
            'discard.tk',
            'disposable.ga',
            'disposable.ml',
            'disposable-email.ml',
            'dm.w3internet.co.uk',
            'docmail.com',
            'droplister.com',
            'dudmail.com',
            'edv.to',
            'ee1.pl',
            'ee2.pl',
            'einrot.de',
            'emailage.ga',
            'emailage.gq',
            'emailage.ml',
            'emailage.tk',
            'email-fake.tk',
            'emailspam.ga',
            'emailspam.gq',
            'emailspam.tk',
            'emailz.cf',
            'emailz.ga',
            'emkei.cf',
            'emkei.ga',
            'emkei.gq',
            'emkei.ml',
            'emkei.tk',
            'e-postkasten.com',
            'e-postkasten.de',
            'e-postkasten.eu',
            'e-postkasten.info',
            'example.com',
            'facebook-email.cf',
            'facebook-email.ga',
            'facebook-email.ml',
            'facebookmail.gq',
            'facebookmail.ml',
            'faecesmail.me',
            'fakeinbox.cf',
            'fakeinbox.ga',
            'fakeinbox.ml',
            'fakeinbox.tk',
            'fake-mail.ga',
            'fake-mail.ml',
            'fastermail.com',
            'fastmail.fm',
            'fdfdsfds.com',
            'fixmail.tk',
            'fly-ts.de',
            'freecoolemail.com',
            'free-email.ga',
            'freemail.ms',
            'freemails.cf',
            'freemails.ga',
            'fuckmail.me',
            'garrifulio.mailexpire.com',
            'gawab.com',
            'geschent.biz',
            'getairmail.cf',
            'getairmail.ga',
            'getairmail.gq',
            'getairmail.ml',
            'getairmail.tk',
            'get-mail.cf',
            'get-mail.ga',
            'get-mail.tk',
            'goat.si',
            'guerillamailblock.com',
            'hooohush.ai',
            'horsefucker.org',
            'hot-mail.cf',
            'hot-mail.ga',
            'hot-mail.gq',
            'hot-mail.ml',
            'hot-mail.tk',
            'huajiachem.cn',
            'hush.ai',
            'hush.com',
            'hushmail.com',
            'hushmail.me',
            'i2pmail.org',
            'inbox2.info',
            'inboxed.im',
            'is.af',
            'iwantmyname.com',
            'junkmail.ga',
            'junkmail.gq',
            'k2-herbal-incenses.com',
            'l33r.eu',
            'lavabit.com',
            'linuxmail.so',
            'login-email.cf',
            'login-email.ga',
            'login-email.ml',
            'login-email.tk',
            'lol.com',
            'lovebitco.in',
            'loves.dicksinhisan.us',
            'loves.dicksinmyan.us',
            'lr7.us',
            'luv2.us',
            'ma1l.bij.pl',
            'mac.hush.com',
            'mail.me',
            'mail2world.com',
            'maildrop.ga',
            'maildrop.gq',
            'mailinator.gq',
            'mailita.tk',
            'mailjunk.ga',
            'mailjunk.tk',
            'mailseal.de',
            'mailwithyou.com',
            'migumail.com',
            'mjukglass.nu',
            'mmmmail.com',
            'mobi.web.id',
            'ms9.mailslite.com',
            'msb.minsmail.com',
            'msg.mailslite.com',
            'mythrashmail.net',
            'national.shitposting.agency',
            'naver.com',
            'nigge.rs',
            'nmail.cf',
            'nobugmail.com',
            'noref.in',
            'nospam.wins.com.br',
            'o2.co.uk',
            'o2.pl',
            'phentermine-mortgages-texas-holdem.biz',
            'prtz.eu',
            'rcs.gaggle.net',
            'redchan.it',
            'schmeissweg.tk',
            'selfdestructingmail.org',
            'shut.ws',
            'sina.cn',
            'sina.com',
            'sky-ts.de',
            'smaakt.naar.gravel',
            'smapfree24.com',
            'smapfree24.de',
            'smapfree24.eu',
            'smapfree24.info',
            'smapfree24.org',
            'spambog.net',
            'spamfighter.ga',
            'spamfighter.tk',
            'spamsalad.in',
            'spamstack.net',
            'sry.li',
            'stop-my-spam.tk',
            'temp.emeraldwebmail.com',
            'tempimbox.com',
            'temporaryemail.us',
            'tfwno.gf',
            'thecloudindex.com',
            'tijdelijkmailadres.nl',
            'topcoolemail.com',
            'topfreeemail.com',
            'tormail.net',
            'trash2010.com',
            'trash2011.com',
            'trash-mail.ga',
            'trash-mail.ml',
            'trash-mail.tk',
            'verticalscope.com',
            'veryrealmail.com',
            'vipmail.name',
            'vistomail.com',
            'walala.org',
            'wants.dicksinhisan.us',
            'wants.dicksinmyan.us',
            'watchfull.net',
            'watch-harry-potter.com',
            'webuser.in',
            'wegwerfemail.org',
            'wegwerf-email-addressen.de',
            'wegwerf-email-adressen.de',
            'wegwrfmail.de',
            'wegwrfmail.net',
            'wegwrfmail.org',
            'wmail.cf',
            'wolfsmail.tk',
            'xagloo.co',
            'xoxox.cc',
            'xxtreamcam.com',
            'xyzfree.net',
            'yanet.me',
            'yeah.net',
        ];
        $domain = substr($email, strpos($email, '@') + 1);
        $domain = explode('+', $domain)[0];
        $domain = strtolower($domain);
        return in_array($domain, $disposableDomains);
    }
}